Loading...
Searching...
No Matches
_PurpleSslConnection Struct Reference

## Data Fields

char * | host
| Hostname to which the SSL connection will be made.
int | port
| Port to connect to.
void * | connect_cb_data
| Data to pass to PurpleSslConnection::connect_cb().
PurpleSslInputFunction | connect_cb
| Callback triggered once the SSL handshake is complete.
PurpleSslErrorFunction | error_cb
| Callback triggered if there is an error during connection.
void * | recv_cb_data
| Data passed to PurpleSslConnection::recv_cb().
PurpleSslInputFunction | recv_cb
| User-defined callback executed when the SSL connection receives data.
int | fd
| File descriptor used to refer to the socket.
guint | inpa
| Glib event source ID; used to refer to the received data callback in the glib eventloop.
PurpleProxyConnectData * | connect_data
| Data related to the underlying TCP connection.
void * | private_data
| Internal connection data managed by the SSL backend (GnuTLS/LibNSS/whatever).
PurpleCertificateVerifier * | verifier
| Verifier to use in authenticating the peer.

## Detailed Description

Definition at line 50 of file sslconn.h.

## Field Documentation

## connect_cb

PurpleSslInputFunction _PurpleSslConnection::connect_cb

Callback triggered once the SSL handshake is complete.

Definition at line 59 of file sslconn.h.

## connect_cb_data

void* _PurpleSslConnection::connect_cb_data

Data to pass to PurpleSslConnection::connect_cb().

Definition at line 57 of file sslconn.h.

## connect_data

PurpleProxyConnectData* _PurpleSslConnection::connect_data

Data related to the underlying TCP connection.

Definition at line 73 of file sslconn.h.

## error_cb

PurpleSslErrorFunction _PurpleSslConnection::error_cb

Callback triggered if there is an error during connection.

Definition at line 61 of file sslconn.h.

## fd

int _PurpleSslConnection::fd

File descriptor used to refer to the socket.

Definition at line 68 of file sslconn.h.

## host

char* _PurpleSslConnection::host

Hostname to which the SSL connection will be made.

Definition at line 53 of file sslconn.h.

## inpa

guint _PurpleSslConnection::inpa

Glib event source ID; used to refer to the received data callback in the glib eventloop.

Definition at line 71 of file sslconn.h.

## port

int _PurpleSslConnection::port

Port to connect to.

Definition at line 55 of file sslconn.h.

## private_data

void* _PurpleSslConnection::private_data

Internal connection data managed by the SSL backend (GnuTLS/LibNSS/whatever).

Definition at line 76 of file sslconn.h.

## recv_cb

PurpleSslInputFunction _PurpleSslConnection::recv_cb

User-defined callback executed when the SSL connection receives data.

Definition at line 65 of file sslconn.h.

## recv_cb_data

void* _PurpleSslConnection::recv_cb_data

Data passed to PurpleSslConnection::recv_cb().

Definition at line 63 of file sslconn.h.

## verifier

PurpleCertificateVerifier* _PurpleSslConnection::verifier

Verifier to use in authenticating the peer.

Definition at line 79 of file sslconn.h.

The documentation for this struct was generated from the following file:

- sslconn.h